Types (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.schema

## Class Types

- java.lang.Object
- - org.apache.cassandra.schema.Types

- All Implemented Interfaces:
    java.lang.Iterable<UserType>

      public final class Types
      extends java.lang.Object
      implements java.lang.Iterable<UserType>

  An immutable container for a keyspace's UDTs.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Types.Builder`
    `static class` | `Types.RawBuilder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Types.Builder` | `builder()`
    `boolean` | `equals(java.lang.Object o)`
    `java.util.Optional<UserType>` | `get(java.nio.ByteBuffer name)` Get the type with the specified name
    `UserType` | `getNullable(java.nio.ByteBuffer name)` Get the type with the specified name
    `int` | `hashCode()`
    `java.util.Iterator<UserType>` | `iterator()`
    `static Types` | `none()`
    `static Types` | `of(UserType... types)`
    `static Types.RawBuilder` | `rawBuilder(java.lang.String keyspace)`
    `java.lang.String` | `toString()`
    `Types` | `with(UserType type)` Create a Types instance with the provided type added
    `Types` | `without(java.nio.ByteBuffer name)` Creates a Types instance with the type with the provided name removed

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### builder

          public static Types.Builder builder()

    - #### rawBuilder

          public static Types.RawBuilder rawBuilder(java.lang.String keyspace)

    - #### none

          public static Types none()

    - #### of

          public static Types of(UserType... types)

    - #### iterator

          public java.util.Iterator<UserType> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<UserType>`

    - #### get

          public java.util.Optional<UserType> get(java.nio.ByteBuffer name)

      Get the type with the specified name
      Parameters:
        `name` - a non-qualified type name
      Returns:
        an empty `Optional` if the type name is not found; a non-empty optional of `UserType` otherwise

    - #### getNullable

          @Nullable
          public UserType getNullable(java.nio.ByteBuffer name)

      Get the type with the specified name
      Parameters:
        `name` - a non-qualified type name
      Returns:
        null if the type name is not found; the found `UserType` otherwise

    - #### with

          public Types with(UserType type)

      Create a Types instance with the provided type added

    - #### without

          public Types without(java.nio.ByteBuffer name)

      Creates a Types instance with the type with the provided name removed

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation